Skip to content
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get HAProxy health

HAProxy health for a database service.

GET/api/v1/database-services/{id}/health/haproxy
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

errorstring
membersHaproxyNodeHealth[]
Show properties
Array of HaproxyNodeHealth
backendsHaproxyBackendServer[]
Show properties
Array of HaproxyBackendServer
backendstringrequired
checkstring
serverstringrequired
statusstringrequired
errorstring
healthybooleanrequired
hoststringrequired
server_idstringrequired
statusstringrequired
Allowed:healthyunhealthyerrornot_applicable
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/database-services/string/health/haproxy' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "error": "string",
  "members": [
    {
      "backends": [
        {
          "backend": "string",
          "check": "string",
          "server": "string",
          "status": "string"
        }
      ],
      "error": "string",
      "healthy": true,
      "host": "string",
      "server_id": "string"
    }
  ],
  "status": "healthy"
}